import { tick } from '@angular/core/testing';
import { Injectable } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FormControlMock = /** @class */ (function () {
    function FormControlMock(type) {
        if (type === void 0) { type = 'text'; }
        this.nativeElement = document.createElement('input');
        this.nativeElement.setAttribute('type', type);
    }
    return FormControlMock;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} f
 * @param {?=} advanceBy
 * @return {?}
 */
function advance(f, advanceBy) {
    if (advanceBy === void 0) { advanceBy = 0; }
    tick(advanceBy);
    f.detectChanges();
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MockToast = /** @class */ (function () {
    function MockToast(message, context, header) {
        this.message = message;
        this.context = context;
        this.header = header;
    }
    /**
     * @return {?}
     */
    MockToast.prototype.dismiss = /**
     * @return {?}
     */
    function () {
        return new Promise(function (resolve) { return resolve(); });
    };
    return MockToast;
}());
/**
 * \@dynamic
 * @type {?}
 */
var mockToastController = {
    dismissAll: function () { },
    error: function (message, header) {
        return (/** @type {?} */ (new MockToast(message, 'danger', header)));
    },
    message: function (message, header) {
        return (/** @type {?} */ (new MockToast(message, 'info', header)));
    },
    success: function (message, header) {
        return (/** @type {?} */ (new MockToast(message, 'success', header)));
    },
    warn: function (message, header) {
        return (/** @type {?} */ (new MockToast(message, 'success', header)));
    }
};
/**
 * \@dynamic
 */
var MockToastService = /** @class */ (function () {
    function MockToastService() {
        this.controller = MockToastService.createController();
    }
    /**
     * @return {?}
     */
    MockToastService.createController = /**
     * @return {?}
     */
    function () {
        return (/** @type {?} */ (mockToastController));
    };
    /**
     * @return {?}
     */
    MockToastService.prototype.dismissAll = /**
     * @return {?}
     */
    function () {
        this.controller.dismissAll();
    };
    /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    MockToastService.prototype.error = /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    function (message, header) {
        return this.controller.error(message, header);
    };
    /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    MockToastService.prototype.message = /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    function (message, header) {
        return this.controller.message(message, header);
    };
    /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    MockToastService.prototype.success = /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    function (message, header) {
        return this.controller.success(message, header);
    };
    /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    MockToastService.prototype.warn = /**
     * @param {?} message
     * @param {?=} header
     * @return {?}
     */
    function (message, header) {
        return this.controller.warn(message, header);
    };
    MockToastService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    MockToastService.ctorParameters = function () { return []; };
    return MockToastService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { FormControlMock, advance, MockToast, mockToastController, MockToastService };

//# sourceMappingURL=anjuna-angular-core-testing.js.map