import { ElementRef, ChangeDetectorRef, EventEmitter } from '@angular/core';
declare type StencilComponents<T extends keyof StencilElementInterfaces> = StencilElementInterfaces[T];
export declare interface AnjAlert extends StencilComponents<'AnjAlert'> {
}
export declare class AnjAlert {
    anjAlertWillDismiss: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjButton extends StencilComponents<'AnjButton'> {
}
export declare class AnjButton {
    anjBlur: EventEmitter<CustomEvent>;
    anjFocus: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjButtonClear extends StencilComponents<'AnjButtonClear'> {
}
export declare class AnjButtonClear {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjButtonClose extends StencilComponents<'AnjButtonClose'> {
}
export declare class AnjButtonClose {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjButtonGroup extends StencilComponents<'AnjButtonGroup'> {
}
export declare class AnjButtonGroup {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCard extends StencilComponents<'AnjCard'> {
}
export declare class AnjCard {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCardBody extends StencilComponents<'AnjCardBody'> {
}
export declare class AnjCardBody {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCardDeck extends StencilComponents<'AnjCardDeck'> {
}
export declare class AnjCardDeck {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCardFooter extends StencilComponents<'AnjCardFooter'> {
}
export declare class AnjCardFooter {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCardHeader extends StencilComponents<'AnjCardHeader'> {
}
export declare class AnjCardHeader {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCheckbox extends StencilComponents<'AnjCheckbox'> {
}
export declare class AnjCheckbox {
    anjBlur: EventEmitter<CustomEvent>;
    anjChange: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjCheckboxGroup extends StencilComponents<'AnjCheckboxGroup'> {
}
export declare class AnjCheckboxGroup {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjColumn extends StencilComponents<'AnjColumn'> {
}
export declare class AnjColumn {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjColumnPinner extends StencilComponents<'AnjColumnPinner'> {
}
export declare class AnjColumnPinner {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjColumnSizer extends StencilComponents<'AnjColumnSizer'> {
}
export declare class AnjColumnSizer {
    anjResizeStart: EventEmitter<CustomEvent>;
    anjResizeEnd: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjContextMenu extends StencilComponents<'AnjContextMenu'> {
}
export declare class AnjContextMenu {
    anjContextSelection: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjContextMenuItem extends StencilComponents<'AnjContextMenuItem'> {
}
export declare class AnjContextMenuItem {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDatePicker extends StencilComponents<'AnjDatePicker'> {
}
export declare class AnjDatePicker {
    anjCalendarSelection: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDatePickerDay extends StencilComponents<'AnjDatePickerDay'> {
}
export declare class AnjDatePickerDay {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDatePickerMonth extends StencilComponents<'AnjDatePickerMonth'> {
}
export declare class AnjDatePickerMonth {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDatePickerMonthView extends StencilComponents<'AnjDatePickerMonthView'> {
}
export declare class AnjDatePickerMonthView {
    anjToggleMonthMode: EventEmitter<CustomEvent>;
    anjMonthUpdated: EventEmitter<CustomEvent>;
    anjMouseOut: EventEmitter<CustomEvent>;
    anjMouseOver: EventEmitter<CustomEvent>;
    anjDaySelected: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDatePickerToggle extends StencilComponents<'AnjDatePickerToggle'> {
}
export declare class AnjDatePickerToggle {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDatePickerYearView extends StencilComponents<'AnjDatePickerYearView'> {
}
export declare class AnjDatePickerYearView {
    anjToggleMonthMode: EventEmitter<CustomEvent>;
    anjMonthChanged: EventEmitter<CustomEvent>;
    anjYearChanged: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDrawer extends StencilComponents<'AnjDrawer'> {
}
export declare class AnjDrawer {
    anjDrawerChange: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDrawerContainer extends StencilComponents<'AnjDrawerContainer'> {
}
export declare class AnjDrawerContainer {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDropdown extends StencilComponents<'AnjDropdown'> {
}
export declare class AnjDropdown {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjDropdownItem extends StencilComponents<'AnjDropdownItem'> {
}
export declare class AnjDropdownItem {
    anjBlur: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjEditing extends StencilComponents<'AnjEditing'> {
}
export declare class AnjEditing {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjFilter extends StencilComponents<'AnjFilter'> {
}
export declare class AnjFilter {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjFormError extends StencilComponents<'AnjFormError'> {
}
export declare class AnjFormError {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjFormGroup extends StencilComponents<'AnjFormGroup'> {
}
export declare class AnjFormGroup {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjFormHelper extends StencilComponents<'AnjFormHelper'> {
}
export declare class AnjFormHelper {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjHeadline extends StencilComponents<'AnjHeadline'> {
}
export declare class AnjHeadline {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjIconOpener extends StencilComponents<'AnjIconOpener'> {
}
export declare class AnjIconOpener {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjInput extends StencilComponents<'AnjInput'> {
}
export declare class AnjInput {
    anjInvalid: EventEmitter<CustomEvent>;
    anjInput: EventEmitter<CustomEvent>;
    anjChange: EventEmitter<CustomEvent>;
    anjBlur: EventEmitter<CustomEvent>;
    anjFocus: EventEmitter<CustomEvent>;
    anjControlDidLoad: EventEmitter<CustomEvent>;
    anjControlDidUnload: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjInputPrefix extends StencilComponents<'AnjInputPrefix'> {
}
export declare class AnjInputPrefix {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjLabel extends StencilComponents<'AnjLabel'> {
}
export declare class AnjLabel {
    anjLabelDidLoad: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjModal extends StencilComponents<'AnjModal'> {
}
export declare class AnjModal {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjModalBody extends StencilComponents<'AnjModalBody'> {
}
export declare class AnjModalBody {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjModalFooter extends StencilComponents<'AnjModalFooter'> {
}
export declare class AnjModalFooter {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjModalHeader extends StencilComponents<'AnjModalHeader'> {
}
export declare class AnjModalHeader {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjNumberStepper extends StencilComponents<'AnjNumberStepper'> {
}
export declare class AnjNumberStepper {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjOptgroup extends StencilComponents<'AnjOptgroup'> {
}
export declare class AnjOptgroup {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjOption extends StencilComponents<'AnjOption'> {
}
export declare class AnjOption {
    anjOptionDidLoad: EventEmitter<CustomEvent>;
    anjOptionDidUnload: EventEmitter<CustomEvent>;
    anjSelect: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjPager extends StencilComponents<'AnjPager'> {
}
export declare class AnjPager {
    anjPagerDidLoad: EventEmitter<CustomEvent>;
    anjPage: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjPopover extends StencilComponents<'AnjPopover'> {
}
export declare class AnjPopover {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjPopoverHeader extends StencilComponents<'AnjPopoverHeader'> {
}
export declare class AnjPopoverHeader {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjRadio extends StencilComponents<'AnjRadio'> {
}
export declare class AnjRadio {
    anjBlur: EventEmitter<CustomEvent>;
    anjRadioDidLoad: EventEmitter<CustomEvent>;
    anjRadioDidUnload: EventEmitter<CustomEvent>;
    anjSelect: EventEmitter<CustomEvent>;
    anjInvalid: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjRadioGroup extends StencilComponents<'AnjRadioGroup'> {
}
export declare class AnjRadioGroup {
    anjChange: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjRowActions extends StencilComponents<'AnjRowActions'> {
}
export declare class AnjRowActions {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjRowSelection extends StencilComponents<'AnjRowSelection'> {
}
export declare class AnjRowSelection {
    anjRowSelectionDidLoad: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjSelect extends StencilComponents<'AnjSelect'> {
}
export declare class AnjSelect {
    anjBlur: EventEmitter<CustomEvent>;
    anjChange: EventEmitter<CustomEvent>;
    anjFocus: EventEmitter<CustomEvent>;
    anjInvalid: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjSpinner extends StencilComponents<'AnjSpinner'> {
}
export declare class AnjSpinner {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjStateStore extends StencilComponents<'AnjStateStore'> {
}
export declare class AnjStateStore {
    anjStateStoreDidLoad: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjTableMessage extends StencilComponents<'AnjTableMessage'> {
}
export declare class AnjTableMessage {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjText extends StencilComponents<'AnjText'> {
}
export declare class AnjText {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjTextarea extends StencilComponents<'AnjTextarea'> {
}
export declare class AnjTextarea {
    anjInvalid: EventEmitter<CustomEvent>;
    anjInput: EventEmitter<CustomEvent>;
    anjChange: EventEmitter<CustomEvent>;
    anjBlur: EventEmitter<CustomEvent>;
    anjFocus: EventEmitter<CustomEvent>;
    anjInputDidLoad: EventEmitter<CustomEvent>;
    anjInputDidUnload: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjTimePicker extends StencilComponents<'AnjTimePicker'> {
}
export declare class AnjTimePicker {
    anjTimeChanged: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjTimePickerInput extends StencilComponents<'AnjTimePickerInput'> {
}
export declare class AnjTimePickerInput {
    anjHourChanged: EventEmitter<CustomEvent>;
    anjMinuteChanged: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjTimePickerToggle extends StencilComponents<'AnjTimePickerToggle'> {
}
export declare class AnjTimePickerToggle {
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjToggle extends StencilComponents<'AnjToggle'> {
}
export declare class AnjToggle {
    anjBlur: EventEmitter<CustomEvent>;
    anjChange: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export declare interface AnjTypeAhead extends StencilComponents<'AnjTypeAhead'> {
}
export declare class AnjTypeAhead {
    anjChange: EventEmitter<CustomEvent>;
    anjInvalid: EventEmitter<CustomEvent>;
    anjQuery: EventEmitter<CustomEvent>;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef);
}
export {};
