import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, ViewContainerRef } from '@angular/core';
import { ColumnDefinition, RowData, TableRenderer } from '@anjuna/core';
export interface RowContext {
    $implicit: RowData;
    column?: ColumnDefinition;
    index: number;
}
export declare type StencilComponents<T extends keyof StencilElementInterfaces> = StencilElementInterfaces[T];
export declare interface AnjTable extends StencilComponents<'AnjTable'> {
}
export declare class AnjTable extends TableRenderer implements OnDestroy {
    private changeRef;
    private viewRef;
    private templates;
    anjPage: EventEmitter<CustomEvent>;
    anjRowSelected: EventEmitter<CustomEvent>;
    anjSort: EventEmitter<CustomEvent>;
    protected el: HTMLAnjTableElement;
    private outletRows;
    private static rowContext;
    constructor(changeRef: ChangeDetectorRef, viewRef: ViewContainerRef, elRef: ElementRef);
    ngOnDestroy(): void;
    cellTemplate(cell: HTMLElement, offset: string, col: ColumnDefinition, row: RowData, rowIndex: number): void;
    fromTemplate(templateName: string, targetEl: HTMLElement, row: RowData, rowIndex: number): void;
    private createOutlet;
    private createTemplate;
    private updateContext;
    private updateOutlet;
}
